GNU bug report logs - #45302
Avahi substitute discovery keeps trying to ping unaccessible servers

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Pierre Neidhardt <mail@HIDDEN>; dated Thu, 17 Dec 2020 17:41:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 45302 <at> debbugs.gnu.org:


Received: (at 45302) by debbugs.gnu.org; 11 Jan 2021 13:24:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 11 08:24:20 2021
Received: from localhost ([127.0.0.1]:56095 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kyxBD-0005lW-W4
	for submit <at> debbugs.gnu.org; Mon, 11 Jan 2021 08:24:20 -0500
Received: from eggs.gnu.org ([209.51.188.92]:54708)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1kyxBB-0005lF-Te
 for 45302 <at> debbugs.gnu.org; Mon, 11 Jan 2021 08:24:18 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36651)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1kyxB6-0005XZ-Ew; Mon, 11 Jan 2021 08:24:12 -0500
Received: from [2a01:e0a:19b:d9a0:d54b:f4e5:4687:8012] (port=49730 helo=cervin)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <othacehe@HIDDEN>)
 id 1kyxB5-0006Rk-VD; Mon, 11 Jan 2021 08:24:12 -0500
From: Mathieu Othacehe <othacehe@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: bug#45302: Avahi substitute discovery keeps trying to ping
 unaccessible servers
References: <87lfdw72lq.fsf@HIDDEN>
Date: Mon, 11 Jan 2021 14:24:10 +0100
In-Reply-To: <87lfdw72lq.fsf@HIDDEN> (Pierre Neidhardt's message of
 "Thu, 17 Dec 2020 18:40:33 +0100")
Message-ID: <87mtxf61z9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45302
Cc: 45302 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hello Pierre,

> I've set up my desktop and laptop to use the new substitute discovery
> feature, it's awesome!

Glad you like it, and sorry for the late answer.

> substitute: guix substitute: warning: 10.0.0.5: connection failed: No route to host

Once your laptop goes to sleep, Avahi should detect that the publish
service is gone and remove it from the cache at
/var/guix/discovery/publish.

I'm having troubles reproducing it at home. Could you please run
"avahi-browse -a" on your desktop, put your laptop to sleep, and check
if the publish server disappears this way:

--8<---------------cut here---------------start------------->8---
- enp7s0f0 IPv6 guix-publish-cervin                           _guix_publish._tcp   local
- enp7s0f0 IPv4 guix-publish-cervin                           _guix_publish._tcp   local
--8<---------------cut here---------------end--------------->8---

Regarding the reboot issue, that's because the cache wasn't cleaned-up,
it should by fixed with: ee94cd265e03d12eeeccf58cbaf74b90008fcd14.

Thanks,

Mathieu




Information forwarded to bug-guix@HIDDEN:
bug#45302; Package guix. Full text available.

Message received at 45302 <at> debbugs.gnu.org:


Received: (at 45302) by debbugs.gnu.org; 22 Dec 2020 09:45:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 22 04:45:20 2020
Received: from localhost ([127.0.0.1]:48961 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kreEK-0003wH-M0
	for submit <at> debbugs.gnu.org; Tue, 22 Dec 2020 04:45:20 -0500
Received: from relay8-d.mail.gandi.net ([217.70.183.201]:41061)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kreEF-0003vp-LE
 for 45302 <at> debbugs.gnu.org; Tue, 22 Dec 2020 04:45:18 -0500
X-Originating-IP: 91.165.152.159
Received: from mimimi (91-165-152-159.subs.proxad.net [91.165.152.159])
 (Authenticated sender: mail@HIDDEN)
 by relay8-d.mail.gandi.net (Postfix) with ESMTPSA id B64511BF214;
 Tue, 22 Dec 2020 09:45:08 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: bug#45302: Avahi substitute discovery keeps trying to ping
 unaccessible servers
In-Reply-To: <87k0tasesw.fsf@HIDDEN>
References: <87lfdw72lq.fsf@HIDDEN> <87k0tasesw.fsf@HIDDEN>
Date: Tue, 22 Dec 2020 10:45:07 +0100
Message-ID: <87eejikwd8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Hi Maxim! Thanks for the suggestion! I'm a bit ignorant here,
 but my guess is that yes, it would help! Cheers! 
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [217.70.183.201 listed in wl.mailspike.net]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.183.201 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 45302
Cc: 45302 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hi Maxim! Thanks for the suggestion! I'm a bit ignorant here,
    but my guess is that yes, it would help! Cheers! 
 
 Content analysis details:   (1.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [217.70.183.201 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.183.201 listed in list.dnswl.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Hi Maxim!

Thanks for the suggestion!
I'm a bit ignorant here, but my guess is that yes, it would help!

Cheers!

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFGBAEBCAAwFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl/hwCMSHG1haWxAYW1i
cmV2YXIueHl6AAoJEJvc9Jeku8x/gSwH/3bFtA+3Rt3VQa6NEvX42veum7Hlo1HV
XAUcXuJbbYF9pSYSgv0vGu9gy42jdiwQ+7hIC3uA+d/+CT4N8tP29GCcRpmUTQ66
Gz/cZ2Eaw/tsiI3RbwEn7dK6Chys+qLBtsm1dPvPKHXfqife+uorg7cNQQYE8/yM
x6Ti8rUDFAYe/6MXRz6bLdNz0Sb6XCZQPSsrqVRpNaBcyAiuT4gjzJ4VGOyxsyRm
jX2B8m46qEfuN6rI+8/gBdtYglTwUaWYW7t43oa7B6pw6yHsLwp2YoqkR9pKThE3
qMyL7JpNlKDmGFgxe9pD9Z54KIgT78kM55i28EZsQXBYwtr20WF1GxA=
=np7T
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#45302; Package guix. Full text available.

Message received at 45302 <at> debbugs.gnu.org:


Received: (at 45302) by debbugs.gnu.org; 22 Dec 2020 03:25:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 21 22:25:18 2020
Received: from localhost ([127.0.0.1]:48676 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1krYIX-0005dX-Nw
	for submit <at> debbugs.gnu.org; Mon, 21 Dec 2020 22:25:17 -0500
Received: from mail-qt1-f169.google.com ([209.85.160.169]:35630)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1krYIV-0005dK-9s
 for 45302 <at> debbugs.gnu.org; Mon, 21 Dec 2020 22:25:15 -0500
Received: by mail-qt1-f169.google.com with SMTP id b9so8185183qtr.2
 for <45302 <at> debbugs.gnu.org>; Mon, 21 Dec 2020 19:25:15 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=He9UGJE9TYSfGT6qMtjNo1/+slGJGr3qgtgvktTNnnM=;
 b=L/EQdHsij5wvMRwGIvCgqyd632zWN0M+FmoPPlQ+8kDJEUcHpAe6Zdg8Sh+sn+8XMC
 hZoEDS+RDOC7dSBBRVX8BvJhAxKK99llQW9OsU0OTLZHEsQpmQB/YxZMRkvQ+omMlUHD
 uvt18O7EURcoWvcnjIMGva7bv5+FULXjj/akjc+xc3Z3eDFhNKpcNApJmRMLzZj5teBN
 uKg+/NZ7JxVaXGMUWvMaHnXSMCMMkGUJqyMGRHdMhHfbFFVvZy8oZAACfL6h6+KeHyjc
 vop1WqPUOxQVahhP81LAB9khlyJz5oDNbzF7my6/1oTjnxiFUm2VMnwIvP8tHpGIQynI
 Dv4A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=He9UGJE9TYSfGT6qMtjNo1/+slGJGr3qgtgvktTNnnM=;
 b=jz3pMLLs2bzORGGtpZtZcI+El/g07ZGpcOubnhxZXFBz/MlakNS9T2UNV14Sb0gIp6
 fyNpjsrsEhosVkUXjXO82PnWndMIxTAdsJXwwDCvx2l+Hm0eUh0Vr57rNs7Cqdnp6Au8
 lgRqcCzEG4AfSmLb0AowgVyw1libPYIVxuImJ2htUVNn6T+IaBMI6EmzmQbUP5Fgb3tX
 Q62sdaCqsO8SOPZuOUfM2qpQE20FoUBusDdRrMTEG/x0XK/9o1g52cxK7orM4zPAoPRg
 iRmg18eIeBBmaOosyfidC6cCG70ndsw3fOcX0EBHXmhOUTqOilOSkaoA+C82Gq6wEhIp
 xZXQ==
X-Gm-Message-State: AOAM532rfxP3XIFiMJmPRBR6E+bPkZGIRP7rRNls1wO3Ku6PSZgi/4eE
 1WggVF0/CtXKzmjSo9AW64hOsViQaElKqw==
X-Google-Smtp-Source: ABdhPJxKs9VXT5oQJDsViqzvls/4b4lOx9BeMiwUqtDuT28oclSi/1TYkVuI/T/pEqs2N75XrfgQww==
X-Received: by 2002:ac8:7b56:: with SMTP id m22mr19972295qtu.380.1608607509354; 
 Mon, 21 Dec 2020 19:25:09 -0800 (PST)
Received: from hurd (dsl-155-238.b2b2c.ca. [66.158.155.238])
 by smtp.gmail.com with ESMTPSA id n7sm7850327qkg.19.2020.12.21.19.25.08
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 21 Dec 2020 19:25:08 -0800 (PST)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: bug#45302: Avahi substitute discovery keeps trying to ping
 unaccessible servers
References: <87lfdw72lq.fsf@HIDDEN>
Date: Mon, 21 Dec 2020 22:25:03 -0500
In-Reply-To: <87lfdw72lq.fsf@HIDDEN> (Pierre Neidhardt's message of
 "Thu, 17 Dec 2020 18:40:33 +0100")
Message-ID: <87k0tasesw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hello, Pierre Neidhardt writes: > I've set up my desktop and
 laptop to use the new substitute discovery > feature, it's awesome! > > However,
 when I put my desktop to sleep and run a Guix command on my > laptop that
 requires access [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (maxim.cournoyer[at]gmail.com)
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.160.169 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.160.169 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 45302
Cc: 45302 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hello,

Pierre Neidhardt <mail@HIDDEN> writes:

> I've set up my desktop and laptop to use the new substitute discovery
> feature, it's awesome!
>
> However, when I put my desktop to sleep and run a Guix command on my
> laptop that requires access to a sbustitute server, I see this:
>
> $ guix build ncdu
> substitute: guix substitute: warning: 10.0.0.5: connection failed: No route to host
> substitute: updating substitutes from 'http://ci.guix.gnu.org'... 100.0%
> 0.0 MB will be downloaded:
>    /gnu/store/p70r4maqgh6ghl25h5a99w7sf1jidap8-ncdu-1.15.1
> substituting /gnu/store/p70r4maqgh6ghl25h5a99w7sf1jidap8-ncdu-1.15.1...
>
>
> The warning
>
> substitute: guix substitute: warning: 10.0.0.5: connection failed: No route to host
>
>
> pops up on every download, which adds some 2s delay each time.  This
> makes the whole process much slower.
>
> For your information, Avahi does not find my desktop:
>
> $ sudo avahi-browse -al
> Password: 
> + wlp2s0 IPv6 FOO___s MacBook Pro                        _companion-link._tcp local
> + wlp2s0 IPv4 FOO___s MacBook Pro                        _companion-link._tcp local
>   C-c C-cGot SIGINT, quitting.

This reminds me of https://issues.guix.gnu.org/30290.  Perhaps if we can
fix that one it'd make this one go away too?.  I was thinking of having
a simple mean to reduce the request attempts on servers down for a long
while, such as entering dead periods (breaks): "I've tried X times, it
doesn't respond, I give up for the next Y minutes"; allowing for X and Y
to be configured via the <guix-publish-configuration> record.

Do you think this would help?

Maxim




Information forwarded to bug-guix@HIDDEN:
bug#45302; Package guix. Full text available.

Message received at 45302 <at> debbugs.gnu.org:


Received: (at 45302) by debbugs.gnu.org; 17 Dec 2020 18:33:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 17 13:33:13 2020
Received: from localhost ([127.0.0.1]:36976 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kpy5R-00024r-BY
	for submit <at> debbugs.gnu.org; Thu, 17 Dec 2020 13:33:13 -0500
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:43623)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kpy5N-00024Z-Vu
 for 45302 <at> debbugs.gnu.org; Thu, 17 Dec 2020 13:33:12 -0500
X-Originating-IP: 91.165.152.159
Received: from mimimi (91-165-152-159.subs.proxad.net [91.165.152.159])
 (Authenticated sender: mail@HIDDEN)
 by relay4-d.mail.gandi.net (Postfix) with ESMTPSA id 198D4E0004
 for <45302 <at> debbugs.gnu.org>; Thu, 17 Dec 2020 18:33:02 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: 45302 <at> debbugs.gnu.org
Subject: Re: bug#45302: Acknowledgement (Avahi substitute discovery keeps
 trying to ping unaccessible servers)
In-Reply-To: <handler.45302.B.16082268462565.ack <at> debbugs.gnu.org>
References: <87lfdw72lq.fsf@HIDDEN>
 <handler.45302.B.16082268462565.ack <at> debbugs.gnu.org>
Date: Thu, 17 Dec 2020 19:33:01 +0100
Message-ID: <877dpgi8pu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: I still witness this issue after restarting my laptop. Looks
 like Avahi remembers the discovery across restarts. -- Pierre Neidhardt
 https://ambrevar.xyz/
 Content analysis details:   (1.7 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.183.196 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [217.70.183.196 listed in wl.mailspike.net]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.4 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 45302
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  I still witness this issue after restarting my laptop. Looks
    like Avahi remembers the discovery across restarts. -- Pierre Neidhardt https://ambrevar.xyz/
    
 
 Content analysis details:   (1.7 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.183.196 listed in list.dnswl.org]
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [217.70.183.196 listed in wl.mailspike.net]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.4 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

I still witness this issue after restarting my laptop.
Looks like Avahi remembers the discovery across restarts.

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFGBAEBCAAwFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl/bpF0SHG1haWxAYW1i
cmV2YXIueHl6AAoJEJvc9Jeku8x/dLUH/3fFylnC3r6+InXPzk/Rj2IyzAPYt8WO
zdvA+oVzf2wonA3NrDrvJy5bIlkYS+rvVja2H9cV4jyzMkVVL8yS99oWYUwvLPEg
0y7ZgTdZp93FFubFd6irICFoN8JFzFxRKbhW+ij85XC1jeav1FS4prXJHj05v1hw
jwIcusBMTKH69yXvwmHQRbz+QHRzARyFd5hs0mEnxc8ZCG7NdpVPqt9Mud/oN5Xo
viQQjdHgAA5GsE2r0Ma5W7gEYShY/C628rYnQw/MDEpzOK7bnLAvkXPDT4ZqF+XX
V0IJsMkCd3N3P/b1tU/aX0lUEXMKtxL7NHQW7GCZkp7UHUzXF1Rt8KM=
=c9Oa
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#45302; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Dec 2020 17:40:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 17 12:40:46 2020
Received: from localhost ([127.0.0.1]:36947 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kpxGg-0000fJ-16
	for submit <at> debbugs.gnu.org; Thu, 17 Dec 2020 12:40:46 -0500
Received: from lists.gnu.org ([209.51.188.17]:37110)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kpxGd-0000fB-TK
 for submit <at> debbugs.gnu.org; Thu, 17 Dec 2020 12:40:44 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:45092)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1kpxGd-0006MR-KU
 for bug-guix@HIDDEN; Thu, 17 Dec 2020 12:40:43 -0500
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:37981)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1kpxGb-0001hM-5M
 for bug-guix@HIDDEN; Thu, 17 Dec 2020 12:40:43 -0500
X-Originating-IP: 91.165.152.159
Received: from mimimi (91-165-152-159.subs.proxad.net [91.165.152.159])
 (Authenticated sender: mail@HIDDEN)
 by relay2-d.mail.gandi.net (Postfix) with ESMTPSA id 366A840005
 for <bug-guix@HIDDEN>; Thu, 17 Dec 2020 17:40:34 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: bug-guix@HIDDEN
Subject: Avahi substitute discovery keeps trying to ping unaccessible servers
Date: Thu, 17 Dec 2020 18:40:33 +0100
Message-ID: <87lfdw72lq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
Received-SPF: pass client-ip=217.70.183.194; envelope-from=mail@HIDDEN;
 helo=relay2-d.mail.gandi.net
X-Spam_score_int: 1
X-Spam_score: 0.1
X-Spam_bar: /
X-Spam_report: (0.1 / 5.0 requ) BAYES_00=-1.9, FROM_SUSPICIOUS_NTLD=0.379,
 FROM_SUSPICIOUS_NTLD_FP=0.343, PDS_OTHER_BAD_TLD=1.999, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: I've set up my desktop and laptop to use the new substitute
 discovery feature, it's awesome! However, when I put my desktop to sleep
 and run a Guix command on my laptop that requires access to a sbustitute
 server, I see this: 
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.7 SPF_NEUTRAL            SPF: sender does not match SPF record (neutral)
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [209.51.188.17 listed in wl.mailspike.net]
 0.3 FROM_SUSPICIOUS_NTLD_FP From abused NTLD
 0.4 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

I've set up my desktop and laptop to use the new substitute discovery
feature, it's awesome!

However, when I put my desktop to sleep and run a Guix command on my
laptop that requires access to a sbustitute server, I see this:

=2D-8<---------------cut here---------------start------------->8---
$ guix build ncdu
substitute: guix substitute: warning: 10.0.0.5: connection failed: No route=
 to host
substitute: updating substitutes from 'http://ci.guix.gnu.org'... 100.0%
0.0 MB will be downloaded:
   /gnu/store/p70r4maqgh6ghl25h5a99w7sf1jidap8-ncdu-1.15.1
substituting /gnu/store/p70r4maqgh6ghl25h5a99w7sf1jidap8-ncdu-1.15.1...
=2D-8<---------------cut here---------------end--------------->8---

The warning

=2D-8<---------------cut here---------------start------------->8---
substitute: guix substitute: warning: 10.0.0.5: connection failed: No route=
 to host
=2D-8<---------------cut here---------------end--------------->8---

pops up on every download, which adds some 2s delay each time.  This
makes the whole process much slower.

For your information, Avahi does not find my desktop:

=2D-8<---------------cut here---------------start------------->8---
$ sudo avahi-browse -al
Password:=20
+ wlp2s0 IPv6 FOO___s MacBook Pro                        _companion-link._t=
cp local
+ wlp2s0 IPv4 FOO___s MacBook Pro                        _companion-link._t=
cp local
  C-c C-cGot SIGINT, quitting.
=2D-8<---------------cut here---------------end--------------->8---

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFGBAEBCAAwFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl/bmBESHG1haWxAYW1i
cmV2YXIueHl6AAoJEJvc9Jeku8x/F0cIAKnveHv+IANcyw23WSsh8yJ/wW9albid
SKHMlyjQSeEeBbKVsJo2KXZyFjFcJTFk49yIJ4kOB+jk7oa4BF3YOxhHtsqx2Sxl
Mj+GlgwFyLEK/SdkNtwbpR9PjDCyrRb47ULP8zW7SjeEO2hrVtEZeUVQAsruh72P
Ly4wJWQ6l86s81s5Ln7O91TxEJblMOwVQvuYYlbMcWkAKmvlGDuE/lkvpqMr7IXL
al47q5b/lP7JYFIIxLw8V4V2Pw8WOqJ4DX0GM4UzH+M+XGVsXmpZgVTg9va/s6Ea
u3GKZ0+V0wpkzeWVMxUPmPyjYZzWW42rQYv1JCUUL2FbYHtami40cL8=
=21XO
-----END PGP SIGNATURE-----
--=-=-=--




Acknowledgement sent to Pierre Neidhardt <mail@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#45302; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 11 Jan 2021 13:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.